summaryrefslogtreecommitdiffstats
path: root/source/xfce/thunar-volman/thunar-volman.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/xfce/thunar-volman/thunar-volman.SlackBuild')
-rwxr-xr-xsource/xfce/thunar-volman/thunar-volman.SlackBuild8
1 files changed, 3 insertions, 5 deletions
diff --git a/source/xfce/thunar-volman/thunar-volman.SlackBuild b/source/xfce/thunar-volman/thunar-volman.SlackBuild
index 85edb0e65..22285f7ff 100755
--- a/source/xfce/thunar-volman/thunar-volman.SlackBuild
+++ b/source/xfce/thunar-volman/thunar-volman.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for thunar-volman
-# Copyright 2007-2015 Robby Workman, Tuscaloosa, Alabama, USA
+# Copyright 2007-2018 Robby Workman, Tuscaloosa, Alabama, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -26,7 +26,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=thunar-volman
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-1}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
@@ -67,7 +67,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf $PKGNAM-$VERSION
-tar xvf $CWD/$PKGNAM-$VERSION.tar.xz || exit 1
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
cd $PKGNAM-$VERSION || exit 1
chown -R root:root .
find . \
@@ -76,8 +76,6 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-patch -p1 < $CWD/0001-Fix-return-with-no-value-in-function-returning-non-v.patch
-
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \